View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
17590Bug reportsUser / Groups / Rolespublic2021-09-20 15:18
Reporterjayce Assigned Togabrieljenik  
PriorityhighSeveritypartial_block 
Status confirmedResolutionfixed 
Product Version5.x 
Summary17590: Role reseted after checkintegrity
DescriptionAfter checking integrity of datable in Limesurvey the role permissions of user are reseted in menu User roles
Steps To ReproduceAdd role to a group, give special permission to this group, check integrity
TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)Version 5.1.10+210913
I will donate to the project if issue is resolvedNo
BrowserFirefox and Chrome
Database type & versionMysql 5.7.33
Server OS (if known)Debian
Webserver software & version (if known)Apache
PHP Version 7.3.29

Relationships

related to 17566 assignedc_schmitz Use LDAP authentication" setting disappears 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

galads

galads

2021-09-10 16:18

administrator   ~66452

Can you please provide more precise instructions on how to reproduce? Preferably in a step-by-step manner, like 1) Go to question x; 2) Click button y; 3) Expected z but saw v. Thank you very much.
jayce

jayce

2021-09-13 09:13

reporter   ~66461

Last edited: 2021-09-13 09:48

1. Add a user
2. Create a user role
3. Affect rights to this role
4. Affect this role to a user
5. Do a data integrity check
6. Go to user role
7. The permission of this role are reseted
8. The user as no permissions
galads

galads

2021-09-13 09:47

administrator   ~66463

Last edited: 2021-09-13 09:48

Thank you for providing the steps to reproduce the error.
gabrieljenik

gabrieljenik

2021-09-14 17:50

manager   ~66480

PR: https://github.com/LimeSurvey/LimeSurvey/pull/2036
gabrieljenik

gabrieljenik

2021-09-15 12:23

manager   ~66489

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32712

Related Changesets

LimeSurvey: master b8671cb8

2021-09-15 12:23:02

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17590: Role reseted after checkintegrity (#2036)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
17590
mod - application/controllers/admin/checkintegrity.php Diff File

Issue History

Date Modified Username Field Change
2021-09-10 14:32 jayce New Issue
2021-09-10 16:18 galads Note Added: 66452
2021-09-10 16:18 galads Bug heat 0 => 2
2021-09-10 16:18 galads Assigned To => galads
2021-09-10 16:18 galads Status new => feedback
2021-09-13 09:13 jayce Note Added: 66461
2021-09-13 09:13 jayce Bug heat 2 => 4
2021-09-13 09:13 jayce Status feedback => assigned
2021-09-13 09:47 galads Note Added: 66463
2021-09-13 09:48 galads Priority none => high
2021-09-13 09:48 galads Severity minor => partial_block
2021-09-13 09:48 galads Status assigned => confirmed
2021-09-14 17:50 gabrieljenik Note Added: 66480
2021-09-14 17:50 gabrieljenik Bug heat 4 => 6
2021-09-15 12:23 gabrieljenik Changeset attached => LimeSurvey master b8671cb8
2021-09-15 12:23 gabrieljenik Note Added: 66489
2021-09-15 12:23 gabrieljenik Assigned To galads => gabrieljenik
2021-09-15 12:23 gabrieljenik Resolution open => fixed
2021-09-20 15:18 c_schmitz Relationship added related to 17566